class AST::FunctionCall
  attr_reader :function, :arguments

  def initialize(function, arguments)
    @function = function
    @arguments = arguments
  end

  def ==(other)
    other.is_a?(AST::FunctionCall) && other.function == @function &&
      other.arguments == @arguments
  end
end
